Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Class EncryptionInitInfo

java.lang.Object
org.firebirdsql.gds.ng.wire.crypt.EncryptionInitInfo

public final class EncryptionInitInfo extends Object
The initial initialization information of an encryption plugin.

Communicates success or failure, and contains the ciphers for encryption and decryption.

Since:
  4.0
Author:
  Mark Rotteveel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EncryptionInitInfo.InitResult`

## Method Summary

Modifier and Type
Method
Description
`static EncryptionInitInfo`
`failure(EncryptionIdentifier encryptionIdentifier, SQLException exception)`
`Cipher`
`getDecryptionCipher()`
`Cipher`
`getEncryptionCipher()`
`EncryptionIdentifier`
`getEncryptionIdentifier()`
`SQLException`
`getException()`
`EncryptionInitInfo.InitResult`
`getInitResult()`
`boolean`
`isSuccess()`
`static EncryptionInitInfo`
`success(EncryptionIdentifier encryptionIdentifier, Cipher encryptionCipher, Cipher decryptionCipher)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### success

public static EncryptionInitInfo success(EncryptionIdentifier encryptionIdentifier, Cipher encryptionCipher, Cipher decryptionCipher)

### failure

public static EncryptionInitInfo failure(EncryptionIdentifier encryptionIdentifier, SQLException exception)

### getEncryptionIdentifier

public EncryptionIdentifier getEncryptionIdentifier()

### getInitResult

public EncryptionInitInfo.InitResult getInitResult()

### isSuccess

public boolean isSuccess()

### getEncryptionCipher

public Cipher getEncryptionCipher()

### getDecryptionCipher

public Cipher getDecryptionCipher()

### getException

public SQLException getException()

Returns:
  `null` on SUCCESS, otherwise exception with the cause of failure (multiple exceptions may be chained!)